| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::StringGrammar::definition< ScannerT > Struct Template Reference

`#include <Grammars.h>`

List of all members.

## Detailed Description

### template<typename ScannerT>
struct Gaudi::Parsers::StringGrammar::definition< ScannerT >

Definition at line 252 of file Grammars.h.

## Public Member Functions
| definition (StringGrammar const &self)
rule< ScannerT > const & | start () const
## Public Attributes
rule< ScannerT > | string_literal

## Constructor & Destructor Documentation

template<typename ScannerT>

Gaudi::Parsers::StringGrammar::definition< ScannerT >::definition | ( | StringGrammar const & | self | ) | `[inline]`

Definition at line 254 of file Grammars.h.

References Gaudi::Parsers::StringGrammar::matchString(), and Gaudi::Parsers::StringGrammar::definition< ScannerT >::string_literal.

    00255           {
    00256             string_literal = (lexeme_d
    00257               [
    00258                ('"' >> (*( str_p("\\\"")
    00259                            |
    00260                            anychar_p-'"' ))
    00261                 [self.val = construct_<std::string>
    00262                  (arg1,arg2)] >>
    00263                 '"')
    00264                |
    00265                ('\'' >> (*( str_p("\\'")
    00266                             |
    00267                             anychar_p-'\'' ))
    00268                 [self.val = construct_<std::string>
    00269                  (arg1,arg2)]>>
    00270                 '\'')])[boost::bind(&StringGrammar::matchString,&self)];
    00271           }

## Member Function Documentation

template<typename ScannerT>

rule<ScannerT> const& Gaudi::Parsers::StringGrammar::definition< ScannerT >::start | ( |  | ) | const`[inline]`

Definition at line 272 of file Grammars.h.

References Gaudi::Parsers::StringGrammar::definition< ScannerT >::string_literal.

    00272 { return string_literal; }

## Member Data Documentation

template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::StringGrammar::definition< ScannerT >::string_literal

Definition at line 273 of file Grammars.h.

Referenced by Gaudi::Parsers::StringGrammar::definition< ScannerT >::definition(), and Gaudi::Parsers::StringGrammar::definition< ScannerT >::start().

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Grammars.h